Filter
Filter group
A filter group is the base definition for the powerful filtering mechanism of Dime.Scheduler. Filter groups are used to filter on resources and tasks, but also to set up the data-driven part of the security system.
The following entities are exposed through the API.
Upsert filter group
Inserts or updates a filter group record.
| Name | Data Type | Default | Required |
|---|---|---|---|
| Id | int | 0 | |
| GroupName | nvarchar(50) | ✔️ | |
| ColumnNo | int | 0 | |
| DataFilter | bit | 0 |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_upsertFilterGroup. - Example body:
[{"StoredProcedureName": "mboc_upsertFilterGroup","ParameterNames": ["GroupName"],"ParameterValues": ["Skill"]}]
See POST /filterGroup, PUT /filterGroup in the REST API reference.
Rename filter group
Renames the filter group.
| Name | Data Type | Default | Required |
|---|---|---|---|
| GroupName | nvarchar(50) | ✔️ | |
| NewGroupName | nvarchar(50) | ✔️ |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_renameFilterGroup. - Example body:
[{"StoredProcedureName": "mboc_renameFilterGroup","ParameterNames": ["GroupName", "NewGroupName"],"ParameterValues": ["Skill", "Useless skill"]}]
This endpoint is not available yet.
Delete filter group
Removes the filter group.
| Name | Data Type | Default | Required |
|---|---|---|---|
| GroupName | nvarchar(50) | ✔️ |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_deleteFilterGroup. - Example body:
[{"StoredProcedureName": "mboc_deleteFilterGroup","ParameterNames": ["GroupName"],"ParameterValues": ["Skill"]}]
See DELETE /filterGroup in the REST API reference.
Filter value
A filter value is the child of filter group, and a filter group is required before any filter value can be added.
Upsert filter value
Inserts or updates a filter value record.
| Name | Data Type | Default | Required |
|---|---|---|---|
| FilterGroupName | nvarchar(50) | ✔️ | |
| FilterValue | nvarchar(100) | ✔️ |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_upsertFilterValue. - Example body:
[{"StoredProcedureName": "mboc_upsertFilterValue","ParameterNames": ["FilterGroupName", "FilterValue"],"ParameterValues": ["Language", "German"]}]
See POST /filterValue, PUT /filterValue in the REST API reference.
Rename filter value
Renames a filter value record. A filter value is the child of filter group, and a filter group is required before any filter value can be added.
| Name | Data Type | Default | Required |
|---|---|---|---|
| FilterGroupName | nvarchar(50) | ✔️ | |
| FilterValue | nvarchar(100) | ✔️ | |
| NewFilterValue | nvarchar(100) | ✔️ |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_renameFilterValue. - Example body:
[{"StoredProcedureName": "mboc_renameFilterValue","ParameterNames": ["FilterGroupName", "FilterValue", "NewFilterValue"],"ParameterValues": ["Language", "German", "Swiss German"]}]
This endpoint is not available yet.
Delete filter value
Removes the filter value.
| Name | Data Type | Default | Required |
|---|---|---|---|
| FilterGroupName | nvarchar(50) | ✔️ | |
| FilterValue | nvarchar(100) | ✔️ |
- Import
- API
- This endpoint is available in the import API endpoint
/importvia the proceduremboc_deleteFilterValue. - Example body:
[{"StoredProcedureName": "mboc_deleteFilterValue","ParameterNames": ["FilterGroupName", "FilterValue"],"ParameterValues": ["Skill", "Small talk"]}]
See DELETE /filterValue in the REST API reference.